Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED, kinda]problems installing KDE depends
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
Jack Hair
n00b
n00b


Joined: 10 Jul 2013
Posts: 13

PostPosted: Wed Jul 10, 2013 7:13 am    Post subject: [SOLVED, kinda]problems installing KDE depends Reply with quote

Hi

I'm trying to install KDE on my 1st gentoo install but I'm stuck at installing consolekit. Following the guide tells me to add consolekit to make.conf, which I did. Then it tells to run "emerge --ask --changed-use --deep @world" but then nothing happens. I've had the same problem with dbus, which needs to be installed 1st, but I got around that by emerging dbus with emerge. When I try to emerge consolekit however it has dependency problems.

when I try "emerge sys-auth/consolekit" it searches for packages and errors out: multiple package instances with single package slot have been pulled into dependency graph, resulting in slot conflict.

I don't see what I'm doing wrong, I'm just following the guide? Anyone have some pointers please?

Edit:
I use the desktop/kde profile
useflags: bindist mmx sse sse2 kde qt4 X dbus consolekit acl pam policykit udev udisks dvd cdr alsa -gtk -gnome


Last edited by Jack Hair on Wed Jul 10, 2013 1:46 pm; edited 1 time in total
Back to top
View user's profile Send private message
The Doctor
Veteran
Veteran


Joined: 27 Jul 2010
Posts: 1266

PostPosted: Wed Jul 10, 2013 7:37 am    Post subject: Reply with quote

Welcome to Gentoo.

An error message would help. There are two options to proceed, the first is to emerge wgetpaste and use it to upload the output to pastebin and post the url returned. This would look like so: emerge -pv --changed-use --deep @world | wgetpaste

The second option is a bit more involved, but has more utility for situations when your primary DE breaks. The option is to install a lightweight window manager. Fluxbox is ideal for this purpose since it is very lightweight and very robust. You would also want to add xterm for a terminal. A web browser is also needed for this to work and may be the the most problematic due to the number of dependencies.
_________________
First things first, but not necessarily in that order.
Back to top
View user's profile Send private message
Jack Hair
n00b
n00b


Joined: 10 Jul 2013
Posts: 13

PostPosted: Wed Jul 10, 2013 9:10 am    Post subject: Reply with quote

Thanks for the help. It seems though I've done something wrong somewhere because I can't install any DE/WM. I guess I missed something, I started installing yesterday and continued after sleeping. I guess I skipped something, not sure. I've started a new install and I hope it'll work now.
Back to top
View user's profile Send private message
John R. Graham
Administrator
Administrator


Joined: 08 Mar 2005
Posts: 7403
Location: Somewhere over Atlanta, Georgia

PostPosted: Wed Jul 10, 2013 9:42 am    Post subject: Reply with quote

Gentoo installs are almost always fixable, so starting over is almost always a waste of time. It's even possible that nothing was wrong and that, through inexperience, you just didn't realize it. Alas, without the error messages that were asked for, we'll never know.

- John
_________________
This space intentionally left blank.
Back to top
View user's profile Send private message
creaker
Guru
Guru


Joined: 14 Jul 2012
Posts: 480

PostPosted: Wed Jul 10, 2013 10:33 am    Post subject: Re: problems installing KDE depends Reply with quote

Jack Hair wrote:

when I try "emerge sys-auth/consolekit" it searches for packages and errors out: multiple package instances with single package slot have been pulled into dependency graph, resulting in slot conflict.


When I get similar error message I do the following: I'm installing the packages, that should be installed as consolekit dependencies, separately, not all at once, but one by one, starting with conflicting packages. The necessary USE flags should be specified for these packages as shown in error message.
Usually it is enough to install in this manner conflicting packages only and since they are installed, emerge consolekit could be run again.
_________________
Intel Core i3-2120 / 4Gb RAM / 250Gb HDD / NVidia GeForce-550Ti
Back to top
View user's profile Send private message
Jack Hair
n00b
n00b


Joined: 10 Jul 2013
Posts: 13

PostPosted: Wed Jul 10, 2013 1:45 pm    Post subject: Re: problems installing KDE depends Reply with quote

John R. Graham wrote:
Gentoo installs are almost always fixable, so starting over is almost always a waste of time. It's even possible that nothing was wrong and that, through inexperience, you just didn't realize it. Alas, without the error messages that were asked for, we'll never know.

- John


I have no doubt you're right. But I lost track of what I had done so reinstalling seemed the best thing to do. It did help in the end, my main box is now compiling KDE.

creaker wrote:
Jack Hair wrote:

when I try "emerge sys-auth/consolekit" it searches for packages and errors out: multiple package instances with single package slot have been pulled into dependency graph, resulting in slot conflict.


When I get similar error message I do the following: I'm installing the packages, that should be installed as consolekit dependencies, separately, not all at once, but one by one, starting with conflicting packages. The necessary USE flags should be specified for these packages as shown in error message.
Usually it is enough to install in this manner conflicting packages only and since they are installed, emerge consolekit could be run again.


I'll keep that in mind, but I hope I wont need this now :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum